---
controller_credentials:
  - name: "{{orgs  }} {{ env }} Automation Hub Community Repository"
    description: ""
    credential_type: "Ansible Galaxy/Automation Hub API Token"
    organization: "{{ orgs }}"
    inputs:
      url: "https://demo-hub1-dev.bcnconsulting.com/api/galaxy/content/community/"
      token: "Hub - Token"

  - name: "{{ orgs }} {{ env }} Automation Hub Published Repository"
    description: ""
    credential_type: "Ansible Galaxy/Automation Hub API Token"
    organization: "{{ orgs }}"
    inputs:
      url: "https://demo-hub1-dev.bcnconsulting.com/api/galaxy/content/published/"
      token: "Hub - Token"

  - name: "{{ orgs }} {{ env }} Automation Hub RH Certified Repository"
    description: ""
    credential_type: "Ansible Galaxy/Automation Hub API Token"
    organization: "{{ orgs }}"
    inputs:
      url: "https://demo-hub1-dev.bcnconsulting.com/api/galaxy/content/rh-certified/"
      token: "Hub - Token"

  - name: "{{ orgs }} {{ env }} AAP Credentials"
    description: "{ orgs }} {{ env }} Ansible Automation Platform Credentials"
    credential_type: "Red Hat Ansible Automation Platform"
    organization: "{{ orgs }}"
    inputs:
      host: "{{ controller_hostname }}"
      username: "{{ controller_username }}"
      password: "{{ controller_password }}"
      verify_ssl: "{{ controller_validate_certs }}"

  - name: "{{ orgs }} {{ env }} Vault Credentials"
    description: "{{ orgs }} {{ env }} Vault Credentials"
    credential_type: "Vault"
    organization: "{{ orgs }}"
    inputs:
      vault_password: "password"
...
